<template>
<v-hover v-slot="{ isHovering , props}" >
    <v-card width="85%" height="fit-content" class="py-7" v-bind="props" :elevation="isHovering ? 24 : 6" >
        <div class="d-flex justify-center w-100">
            <v-img class="justify-center" :src="project.img" height="200px" width="250px" >
        </v-img>
        </div>
        
        <v-card-title class="text-center">
            {{ project.name }}
        </v-card-title>

     
        <div class="d-flex justify-center flex-wrap">
            <v-chip color="pink" class="mx-1 my-1" v-for="tech in techno" variant="tonal" > {{ tech }}</v-chip>
        </div>
        <v-card-text class="">
            <p class="">{{ project.presentation }}</p>
        </v-card-text>


        <v-card-actions>
            <v-btn v-if="project.gitLink != ''" rounded="xl" size="large"> <v-icon color="#E3472E" size="x-large" icon="mdi-gitlab"></v-icon>Source</v-btn>
            <v-spacer>
            </v-spacer>
            <v-btn  :icon="show ? 'mdi-chevron-up' : 'mdi-chevron-down'"
                @click="show = !show"
            >
            </v-btn>


        </v-card-actions>

        <v-expand-transition>
            <div v-show="show">
            <v-divider></v-divider>

            <v-card-text>
                <p class="">{{ project.moreInformation }}</p>
            </v-card-text>
            </div>
        </v-expand-transition>
    </v-card>
</v-hover>
</template>
<script lang="ts" setup>
import { ref } from 'vue';

const show = ref(false)
const project = defineProps({
   name: String,
   img: String,
   presentation: String,
   techno: Array,
   gitLink: String,
   moreInformation: String

})
</script>

<style>
.v-card-text p{
    font-size: large;

}
</style>